<?php

namespace Schaffen\ConciliacaoBancaria\Cnab\Conciliacao\Cnab240;

use \Schaffen\ConciliacaoBancaria\Contracts\Cnab\Conciliacao\Cnab240\Trailer as TrailerContract;
use Schaffen\ConciliacaoBancaria\MagicTrait;

class Trailer implements TrailerContract
{
    use MagicTrait;
    /**
     * @var string
     */
    public $numeroLote;

    /**
     * @var string
     */
    public $tipoRegistro;
 
    /**
     * @var integer
     */
    public $qtdLotesArquivo;

    /**
     * @var integer
     */
    public $qtdRegistroArquivo;

    
     /**
     * @return mixed
     */
    public function getNumeroLote()
    {
        return $this->numeroLote;
    }

    /**
     * @param mixed $numeroLote
     *
     * @return $this
     */
    public function setNumeroLote($numeroLote)
    {
        $this->numeroLote = $numeroLote;

        return $this;
    }

    /**
     * @return mixed
     */
    public function getTipoRegistro()
    {
        return $this->tipoRegistro;
    }

     /**
     * @param mixed $tipoRegistro
     *
     * @return $this
     */
    public function setTipoRegistro($tipoRegistro)
    {
        $this->tipoRegistro = $tipoRegistro;

        return $this;
    }

       /**
     * @return mixed
     */
    public function getQtdLotesArquivo()
    {
        return $this->qtdLotesArquivo;
    }

    /**
     * @param mixed $qtdLotesArquivo
     *
     * @return $this
     */
    public function setQtdLotesArquivo($qtdLotesArquivo)
    {
        $this->qtdLotesArquivo = $qtdLotesArquivo;

        return $this;
    }

    /**
     * @return mixed
     */
    public function getQtdRegistroArquivo()
    {
        return $this->qtdRegistroArquivo;
    }

    /**
     * @param mixed $qtdRegistroArquivo
     *
     * @return $this
     */
    public function setQtdRegistroArquivo($qtdRegistroArquivo)
    {
        $this->qtdRegistroArquivo = $qtdRegistroArquivo;

        return $this;
    }

}
