<?php

namespace Schaffen\ConciliacaoBancaria\Contracts\Cnab\Conciliacao;

interface Detalhe
{
    
    /**
     * @return mixed
     */
    public function getCodigoLote();

    /**
     * @return mixed
     */
    public function getLinha();

    /**
     * @return mixed
     */
    public function getStatusLinha();

    /**
     * @return string
     */
    public function getTipoRegistro();

    /**
     * @return mixed
     */
    public function getNumeroRegistro();

    /**
     * @return string
     */
    public function getSegmento();

    /**
     * @return mixed
     */
    public function getIdLancamento();

    /**
     * @return string
     */
    public function getTipoInscricao();

    /**
     * @return mixed
     */
    public function getNumeroInscricao();

    /**
     * @return mixed
     */
    public function getAgencia();

    /**
     * @return mixed
     */
    public function getAgenciaDv();

    /**
     * @return mixed
     */
    public function getConta();

    /**
     * @return mixed
     */
    public function getContaDv();

    /**
     * @return string
     */
    public function getNomeEmpresa();

    /**
     * @return string
     */
    public function getNatureza();

    // /**
    //  * @param string $format
    //  *
    //  * @return mixed
    //  */
    // public function getDataLancamento($format = 'd/m/Y');

    /**
     * @param string 
     */
    public function getDataLancamento();

    /**
     * @return string
     */
    public function getValor();

    /**
     * @return string
     */
    public function getTipoLancamento();

    /**
     * @return mixed
     */
    public function getCategoria();

    /**
     * @return string
     */
    public function getCategoriaDescricao();

    /**
     * @return string
     */
    public function getHistorico();

    /**
     * @return string
     */
    public function getNumeroDocumento();

    /**
     * @return array
     */
    public function toArray();
}
