<?php

namespace Schaffen\ConciliacaoBancaria\Contracts\Cnab;

use Illuminate\Support\Collection;

interface conciliacaoCnab240
{
    /**
     * @return mixed
     */
    public function getCodigoBanco();

    /**
     * @return mixed
     */
    public function getBancoNome();

    /**
     * @return Conciliacao\Detalhe
     */
    public function getDetalheConciliacao();

    /**
     * @return Conciliacao\Header
     */
    public function getHeader();

    /**
     * @return Conciliacao\HeaderLote
     */
    public function getHeaderLote();

    /**
     *  @return Conciliacao\TrailerLote
     */
    public function getTrailerLote();

    /**
     *  @return Conciliacao\Trailer
     */
    public function getTrailer();


    /**
     * @return string
     */
    public function processar();

    /**
     * @return array
     */
    public function toArray();
}
